Show / Hide Table of Contents

# AsyncParticleCollisionTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncParticleCollisionTrigger : AsyncTriggerBase<GameObject>, IUniTaskAsyncEnumerable<GameObject>

##### Inheritance

System.Object → AsyncTriggerBase<GameObject> → AsyncParticleCollisionTrigger

##### Implements

IUniTaskAsyncEnumerable<GameObject>

### Members

#### Methods

Name | Description
--- | ---
GetOnParticleCollisionAsyncHandler() |
GetOnParticleCollisionAsyncHandler(CancellationToken) |
OnParticleCollisionAsync() |
OnParticleCollisionAsync(CancellationToken) |

### Methods

#### GetOnParticleCollisionAsyncHandler()

    public IAsyncOnParticleCollisionHandler GetOnParticleCollisionAsyncHandler()

##### Returns

IAsyncOnParticleCollisionHandler

#### GetOnParticleCollisionAsyncHandler(CancellationToken)

    public IAsyncOnParticleCollisionHandler GetOnParticleCollisionAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnParticleCollisionHandler

#### OnParticleCollisionAsync()

    public UniTask<GameObject> OnParticleCollisionAsync()

##### Returns

UniTask<GameObject>

#### OnParticleCollisionAsync(CancellationToken)

    public UniTask<GameObject> OnParticleCollisionAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<GameObject>

### Implements

IUniTaskAsyncEnumerable<T>